namespace :invitations do
  desc "Generate invitations for all users"
  task :generate_for_all_users, [:amount_per_user] => :environment do |t, args|
    count = 0
    User.all.each do |user|
      args[:amount_per_user].to_i.times do
        user.invitations << Invitation.create(user: user)
        count += 1
      end
    end
    puts "Created #{count} new invitations"
  end
end
